Subject: [Sip] Is null character allowed in any sip message header....

From: atul garg <[email-masked]>
Date: Wed, 5 Mar 2008 10:00:26 +0000 (GMT)

Hi,

Can a NuLL character allowed in any SIP message
header's value...and if so can any body provide the
Lex expression to parse that string.

somethng like ...[^:](.|\n[' '|\t])*[^\r\n]

but the above expression does not support NULL.

Regards

      Get the freedom to save as many mails as you wish. To know how, go to http://help.yahoo.com/l/in/yahoo/mail/yahoomail/tools/tools-08.html
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: Wed, 5 Mar 2008 09:10:16 -0600

A literal NULL can appear in quoted-string (which can appear in a  
bunch of header field values).

See RFC4475 section 3.1.1.2 for an example.

RjS

On Mar 5, 2008, at 4:00 AM, atul garg wrote:

>       Get the freedom to save as many mails as you wish. To know  
> how, go to http://help.yahoo.com/l/in/yahoo/mail/yahoomail/tools/ 
> tools-08.html